Webhooks
Send test event
Sends a test event to the provided application ID
POST
/
api
/
v1
/
webhooks
/
subscriptions
/
test
Send test event
curl --request POST \
--url https://public-api.prd.monument.io/api/v1/webhooks/subscriptions/test \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"eventType": "moved-in",
"portfolio": "portfolio-prefix"
}
'import requests
url = "https://public-api.prd.monument.io/api/v1/webhooks/subscriptions/test"
payload = {
"eventType": "moved-in",
"portfolio": "portfolio-prefix"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventType: 'moved-in', portfolio: 'portfolio-prefix'})
};
fetch('https://public-api.prd.monument.io/api/v1/webhooks/subscriptions/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Response
Successfully sent test event
⌘I
Send test event

